## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class ChangeSetOperatorDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.dialogs.ChangeSetOperatorDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class ChangeSetOperatorDialog

extends org.eclipse.jface.dialogs.Dialog

Dialog that lets the user select a new SQL Set Operator.

Author:
  jeremyl/drigby

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ChangeSetOperatorDialog(org.eclipse.swt.widgets.Shell parentShell, int operatorType)` Creates a dialog for selecting statement type settings with an OK and Cancel button.

Method Summary
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)` Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.
`int` `getOperatorType()`
`int` `open()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeSetOperatorDialog

    public ChangeSetOperatorDialog(org.eclipse.swt.widgets.Shell parentShell,
                                   int operatorType)

  Creates a dialog for selecting statement type settings with an OK and Cancel button.

Method Detail

### open

    public int open()

  Overrides:
    `open` in class `org.eclipse.jface.window.Window`

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### getOperatorType

    public int getOperatorType()